%define bootstrap 0
%define oname mit-krb5

%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define	major 3
%define	libname	%mklibname %{name}_ %{major}
%define	libk5crypto	%mklibname k5crypto %{major}

%define	support_major 0
%define	libnamesupport	%mklibname %{name}support %{support_major}

%define	mit_major 8
%define	libkadm5clnt_mit	%mklibname kadm5clnt_mit %{mit_major}
%define	libkadm5srv_mit	%mklibname kadm5srv_mit %{mit_major}

%define	gssapi_major 2
%define	libgssapi_krb5	%mklibname gssapi_%{name}_ %{gssapi_major}

%define	gssrpc_major 4
%define	libgssrpc	%mklibname gssrpc %{gssrpc_major}

%define	kdb5_major 6
%define	libkdb5	%mklibname kdb5_ %{kdb5_major}

%define	ldap_major 1
%define	libkdb_ldap	%mklibname kdb_ldap %{ldap_major}

%define develname	%mklibname -d %{name}
# enable checking after compile
%define enable_check 0
%{?_with_check: %global %enable_check 1}

%bcond_with	selinux

Summary:	The Kerberos network authentication system
Name:		krb5
Version:	1.10.2
Release:	4
License:	MIT
URL:		http://web.mit.edu/kerberos/www/
Group:		System/Libraries
# from http://web.mit.edu/kerberos/dist/krb5/1.9/krb5-1.9.2-signed.tar
Source0:	krb5-%{version}.tar.gz
Source1:	krb5-%{version}.tar.gz.asc
Source2:	kprop.service
Source4:	kadmin.service
Source5:	krb5kdc.service
Source6:	krb5.conf
Source10:	kdc.conf
Source11:	kadm5.acl
Source19:	krb5kdc.sysconfig
Source20:	kadmin.sysconfig
# The same source files we "check", generated with "krb5-tex-pdf.sh create"
# and tarred up.
Source23:	krb5-%{version}-pdf.tar.xz
Source24:	krb5-tex-pdf.sh
Source25:	krb5-1.10-manpaths.txt
Source29:	ksu.pamd
Source30:	kerberos-iv.portreserve
Source31:	kerberos-adm.portreserve
Source32:	krb5_prop.portreserve
Source33:	krb5kdc.logrotate
Source34:	kadmind.logrotate
Source35:	kdb_check_weak.c

Patch5:		krb5-1.10-ksu-access.patch
Patch6:		krb5-1.10-ksu-path.patch
Patch12:	krb5-1.7-ktany.patch
Patch16:	krb5-1.10-buildconf.patch
Patch23:	krb5-1.3.1-dns.patch
Patch29:	krb5-1.10-kprop-mktemp.patch
Patch30:	krb5-1.3.4-send-pr-tempfile.patch
Patch39:	krb5-1.8-api.patch
Patch56:	krb5-1.10-doublelog.patch
Patch59:	krb5-1.10-kpasswd_tcp.patch
Patch60:	krb5-1.10.2-pam.patch
Patch61:	krb5-1.10.2-manpaths.patch
Patch63:	krb5-1.10.2-selinux-label.patch
Patch71:	krb5-1.9-dirsrv-accountlock.patch
Patch75:	krb5-pkinit-debug.patch
Patch86:	krb5-1.9-debuginfo.patch
Patch100:	krb5-trunk-7046.patch
Patch101:	krb5-trunk-7047.patch
Patch102:	krb5-trunk-7048.patch
Patch103:	krb5-1.10-gcc47.patch
Patch105:	krb5-kvno-230379.patch
Patch106:	krb5-1.10.2-keytab-etype.patch

BuildRequires:	libtool
BuildRequires:	pkgconfig(libverto)
%if %{with selinux}
BuildRequires:	selinux-devel
%endif
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(com_err)
BuildRequires:	keyutils-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
BuildRequires:	systemd-units
BuildRequires:	termcap-devel
%if %enable_check
BuildRequires:	dejagnu
%endif
%if !%{bootstrap}
BuildRequires:	openldap-devel
%endif
Conflicts:	%{_lib}krb53 < 1.9.2-3

%description
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of cleartext passwords.

%package -n	%{develname}
Summary:	Development files needed for compiling Kerberos 5 programs
Group:		Development/Other
Requires:	%{libname} >= %{version}
Requires:	%{libgssapi_krb5} >= %{version}
Requires:	%{libgssrpc} >= %{version}
Requires:	%{libnamesupport} >= %{version}
Requires:	%{libkadm5clnt_mit} >= %{version}
Requires:	%{libkadm5srv_mit} >= %{version}
Requires:	%{libkdb5} >= %{version}
%if !%{bootstrap}
Requires:	%{libkdb_ldap} >= %{version}
%endif
Provides:	krb5-devel = %{version}-%{release}
Obsoletes:	%{_lib}krb53-devel
Requires:	rpm-build

%description -n	%{develname}
Kerberos is a network authentication system.  The krb5-devel package
contains the header files and libraries needed for compiling Kerberos
5 programs. If you want to develop Kerberos-aware programs, you'll
need to install this package.

%package -n	%{libname}
Summary:	The shared library used by Kerberos 5
Group:		System/Libraries
Obsoletes:	%{_lib}krb53
%rename	krb5-libs

%description -n	%{libname}
This package contains the shared library for %{name}.

%package -n	%{libgssapi_krb5}
Summary:	The shared library used by Kerberos 5 - gssapi_krb5
Group:		System/Libraries
Conflicts:	%{_lib}krb53 < 1.9.2-3

%description -n	%{libgssapi_krb5}
This package contains the shared library gssrpc for %{name}.

%package -n	%{libgssrpc}
Summary:	The shared library used by Kerberos 5 - gssrpc
Group:		System/Libraries
Conflicts:	%{_lib}krb53 < 1.9.2-3

%description -n	%{libgssrpc}
This package contains the shared library gssrpc for %{name}.

%package -n	%{libk5crypto}
Summary:	The shared library used by Kerberos 5 - k5crypto
Group:		System/Libraries
Conflicts:	%{_lib}krb53 < 1.9.2-3

%description -n	%{libk5crypto}
This package contains the shared library k5crypto for %{name}.

%package -n	%{libnamesupport}
Summary:	The shared library used by Kerberos 5 - krb5support
Group:		System/Libraries
Conflicts:	%{_lib}krb53 < 1.9.2-3

%description -n	%{libnamesupport}
This package contains the shared library krb5support for %{name}.

%package -n	%{libkadm5clnt_mit}
Summary:	The shared library used by Kerberos 5 - kadm5clnt_mit
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{_lib}krb53 < 1.9.2-3

%description -n	%{libkadm5clnt_mit}
This package contains the shared library kadm5clnt_mit for %{name}.

%package -n	%{libkadm5srv_mit}
Summary:	The shared library used by Kerberos 5 - kadm5srv_mit
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{_lib}krb53 < 1.9.2-3

%description -n	%{libkadm5srv_mit}
This package contains the shared library kadm5srv_mit for %{name}.

%package -n	%{libkdb5}
Summary:	The shared library used by Kerberos 5 - kdb5
Group:		System/Libraries
Conflicts:	%{_lib}krb53 < 1.9.2-3

%description -n	%{libkdb5}
This package contains the shared library kdb5 for %{name}.

%package -n	%{libkdb_ldap}
Summary:	The shared library used by Kerberos 5 - kdb_ldap
Group:		System/Libraries
Conflicts:	krb5-server-ldap < 1.9.2-3

%description -n	%{libkdb_ldap}
This package contains the shared library kdb_ldap for %{name}.

%package	server
Summary:	The server programs for Kerberos 5
Group:		System/Servers
Requires(post,preun): rpm-helper
Requires(post,preun,postun): systemd-units
# we drop files in its directory, but we don't want to own that directory
Requires:	logrotate
# mktemp is used by krb5-send-pr
Requires:	mktemp
# portreserve is used by init scripts for kadmind, kpropd, and krb5kdc
Requires:	portreserve

%description	server
Kerberos is a network authentication system.  The krb5-server package
contains the programs that must be installed on a Kerberos 5 server.
If you're installing a Kerberos 5 server, you need to install this
package (in other words, most people should NOT install this
package).

%package	server-ldap
Summary:	The LDAP storage plugin for the Kerberos 5 KDC
Group:		System/Servers
Requires:	%{name}-server >= %{version}-%{release}

%description	server-ldap
Kerberos is a network authentication system. The krb5-server package
contains the programs that must be installed on a Kerberos 5 key
distribution center (KDC). If you are installing a Kerberos 5 KDC,
and you wish to use a directory server to store the data for your
realm, you need to install this package. 

%package	workstation
Summary:	Kerberos 5 programs for use on workstations
Group:		System/Base
Requires(post):	rpm-helper
Requires(preun):rpm-helper
Provides:	kerberos-workstation

%description	workstation
Kerberos is a network authentication system.  The krb5-workstation
package contains the basic Kerberos programs (kinit, klist, kdestroy,
kpasswd). If your network uses Kerberos, this package should be installed
on every workstation.

%package	pkinit-openssl
Summary:	The PKINIT module for Kerberos 5
Group:		System/Libraries

%description	pkinit-openssl
Kerberos is a network authentication system. The krb5-pkinit-openssl
package contains the PKINIT plugin, which uses OpenSSL to allow clients
to obtain initial credentials from a KDC using a private key and a
certificate. 

%prep
%setup -q -a 23 -n krb5-%{version}
ln -s NOTICE LICENSE

%patch60 -p1 -b .pam

%patch61 -p1 -b .manpaths

%if %{with selinux}
%patch63 -p1 -b .selinux-label
%endif

%patch5  -p1 -b .ksu-access
%patch6  -p1 -b .ksu-path
%patch12 -p1 -b .ktany
%patch16 -p1 -b .buildconf
%patch23 -p1 -b .dns
%patch29 -p1 -b .kprop-mktemp
%patch30 -p1 -b .send-pr-tempfile
%patch39 -p1 -b .api
%patch56 -p1 -b .doublelog
%patch59 -p1 -b .kpasswd_tcp
%patch71 -p1 -b .dirsrv-accountlock
#%patch75 -p1 -b .pkinit-debug
%patch86 -p0 -b .debuginfo
%patch100 -p1 -b .7046
%patch101 -p1 -b .7047
%patch102 -p1 -b .7048
%patch103 -p0 -b .gcc47
%patch105 -p1 -b .kvno
%patch106 -p1 -b .keytab-etype
rm src/lib/krb5/krb/deltat.c



gzip doc/*.ps

sed -i -e '1s!\[twoside\]!!;s!%\(\\usepackage{hyperref}\)!\1!' \
    doc/api/library.tex
sed -i -e '1c\
\\documentclass{article}\
\\usepackage{fixunder}\
\\usepackage{functions}\
\\usepackage{fancyheadings}\
\\usepackage{hyperref}' doc/implement/implement.tex

# Take the execute bit off of documentation.
chmod -x doc/krb5-protocol/*.txt doc/*.html doc/*/*.html 

# Rename the man pages so that they'll get generated correctly. Uses the
# "krb5-1.8-manpaths.txt" source file.
pushd src
cat %{SOURCE25} | while read manpage ; do
    mv "$manpage" "$manpage".in
done
popd 

# Check that the PDFs we built earlier match this source tree, using the
# "krb5-tex-pdf.sh" source file.
#sh %{SOURCE24} check << EOF
#doc/api       library krb5
#doc/implement implement
#doc/kadm5     adb-unit-test
#doc/kadm5     api-unit-test
#doc/kadm5     api-funcspec
#doc/kadm5     api-server-design
#EOF

sed -i s,^attributetype:,attributetypes:,g \
    src/plugins/kdb/ldap/libkdb_ldap/kerberos.ldif 

pushd src
    autoreconf -fi
popd

%build
%serverbuild
# it does not work with -fPIE and someone added that to the serverbuild macro...
CFLAGS=`echo $CFLAGS|sed -e 's|-fPIE||g'`
CXXFLAGS=`echo $CXXFLAGS|sed -e 's|-fPIE||g'`
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's|-fPIE||g'`

cd src
# Work out the CFLAGS and CPPFLAGS which we intend to use.
INCLUDES=-I%{_includedir}/et
CFLAGS="`echo $RPM_OPT_FLAGS $DEFINES $INCLUDES -fPIC`"
CPPFLAGS="`echo $DEFINES $INCLUDES`" 

%configure2_5x \
    CC="%{__cc}" \
    CFLAGS="$CFLAGS" \
    CPPFLAGS="$CPPFLAGS" \
    --enable-shared \
    --localstatedir=%{_sysconfdir}/kerberos \
    --enable-dns-for-realm \
    --enable-pkinit \
    --with-system-verto \
    --without-tcl \
    --with-system-et \
    --with-system-ss \
    --disable-static \
    --disable-rpath \
%if !%{bootstrap}
    --with-ldap \
%endif
    --with-pam

    #--with-netlib=-lresolv

%make

%check
# Run the test suite.  Won't run in the build system because /dev/pts is
# not available for telnet tests and so on.
# make check TMPDIR=%{_tmppath}

%install
rm -rf %{buildroot}

# Info docs.
install -d %{buildroot}%{_infodir}
install -m 644 doc/*.info* %{buildroot}%{_infodir}

# Sample KDC config files (bundled kdc.conf and kadm5.acl).
install -d %{buildroot}%{_sysconfdir}/kerberos/krb5kdc
install -m0644 %{SOURCE10} %{buildroot}%{_sysconfdir}/kerberos/krb5kdc/kdc.conf
install -m0600 %{SOURCE11} %{buildroot}%{_sysconfdir}/kerberos/krb5kdc/kadm5.acl

# Default configuration file for everything.
install -d %{buildroot}%{_sysconfdir}
install -m0644 %{SOURCE6} %{buildroot}%{_sysconfdir}/krb5.conf

# Server init scripts (krb5kdc,kadmind,kpropd) and their sysconfig files.
install -d %{buildroot}%{_unitdir}
for init in \
    %{SOURCE5} \
    %{SOURCE4} \
    %{SOURCE2} ; do
    install -m0644 ${init} %{buildroot}%{_unitdir}
done

install -d %{buildroot}%{_sysconfdir}/sysconfig
for sysconfig in \
    %{SOURCE19} \
    %{SOURCE20} ; do
    install -m0644 ${sysconfig} \
    %{buildroot}%{_sysconfdir}/sysconfig/`basename ${sysconfig} .sysconfig`
done

# portreserve configuration files.
install -d %{buildroot}%{_sysconfdir}/portreserve
for portreserve in \
    %{SOURCE30} \
    %{SOURCE31} \
    %{SOURCE32} ; do
    install -m0644 ${portreserve} \
    %{buildroot}/%{_sysconfdir}/portreserve/`basename ${portreserve} .portreserve`
done

# logrotate configuration files
install -d %{buildroot}%{_sysconfdir}/logrotate.d
for logrotate in \
    %{SOURCE33} \
    %{SOURCE34} ; do
    install -m0644 ${logrotate} \
    %{buildroot}%{_sysconfdir}/logrotate.d/`basename ${logrotate} .logrotate`
done

# PAM configuration files.
install -d %{buildroot}%{_sysconfdir}/pam.d/
for pam in \
    %{SOURCE29} ; do
    install -m0644 ${pam} \
    %{buildroot}/%{_sysconfdir}/pam.d/`basename ${pam} .pamd`
done

# Plug-in directories.
install -d %{buildroot}%{_libdir}/krb5/plugins/preauth
install -d %{buildroot}%{_libdir}/krb5/plugins/kdb
install -d %{buildroot}%{_libdir}/krb5/plugins/authdata

# The rest of the binaries, headers, libraries, and docs.
make -C src \
    DESTDIR=%{buildroot} \
    EXAMPLEDIR=%{_docdir}/%{develname}/examples\
    install

# logdir
install -d %{buildroot}/var/log/kerberos

# clear the LDFLAGS
perl -pi -e "s|^LDFLAGS.*|LDFLAGS=''|g" %{buildroot}%{_bindir}/krb5-config


# multiarch policy
%multiarch_binaries %{buildroot}%{_bindir}/krb5-config

%multiarch_includes %{buildroot}%{_includedir}/gssapi/gssapi.h

# (gb) this one could be fixed differently and properly using <stdint.h>

%multiarch_includes %{buildroot}%{_includedir}/gssrpc/types.h

%multiarch_includes %{buildroot}%{_includedir}/krb5.h

%post server
if [ $1 -eq 1 ] ; then 
    # Initial installation 
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi
exit 0

%preun server
if [ "$1" -eq "0" ] ; then
    /bin/systemctl --no-reload disable krb5kdc.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable kadmin.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable kprop.service > /dev/null 2>&1 || :
    /bin/systemctl stop krb5kdc.service > /dev/null 2>&1 || :
    /bin/systemctl stop kadmin.service > /dev/null 2>&1 || :
    /bin/systemctl stop kprop.service > /dev/null 2>&1 || :
fi
exit 0

%postun server
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    /bin/systemctl try-restart krb5kdc.service >/dev/null 2>&1 || :
    /bin/systemctl try-restart kadmin.service >/dev/null 2>&1 || :
    /bin/systemctl try-restart kprop.service >/dev/null 2>&1 || :
fi

%triggerun server -- krb5-server < 1.9.2-1
# Run these because the SysV package being removed won't do them
/sbin/chkconfig --del krb5kdc >/dev/null 2>&1 || :
/sbin/chkconfig --del kadmin >/dev/null 2>&1 || :
/sbin/chkconfig --del kprop >/dev/null 2>&1 || :
/bin/systemctl try-restart krb5kdc.service >/dev/null 2>&1 || :
/bin/systemctl try-restart kadmin.service >/dev/null 2>&1 || :
/bin/systemctl try-restart kprop.service >/dev/null 2>&1 || :


%files
%doc README
%config(noreplace) %{_sysconfdir}/krb5.conf
%dir %{_sysconfdir}/kerberos
%dir %{_libdir}/krb5
%dir %{_libdir}/krb5/plugins
%dir %{_libdir}/krb5/plugins/kdb
%dir %{_libdir}/krb5/plugins/preauth
%dir %{_libdir}/krb5/plugins/authdata
#{_libdir}/krb5/plugins/*
#%{_libdir}/krb5/plugins/preauth/encrypted_challenge.so
%{_libdir}/krb5/plugins/kdb/db2.so 
%{_mandir}/man1/kerberos.1*
%{_datadir}/locale/en_US/LC_MESSAGES/mit-krb5.mo

%files workstation
%doc doc/user*.ps.gz src/config-files/services.append
%doc doc/{kdestroy,kinit,klist,kpasswd,ksu}.html
%doc doc/krb5-user.html 
%attr(0755,root,root) %doc src/config-files/convert-config-files
%{_infodir}/krb5-user.info*
%{_mandir}/man5/krb5.conf.5*
%{_bindir}/kdestroy
%{_bindir}/kswitch
%{_mandir}/man1/kdestroy.1*
%{_mandir}/man1/kswitch.1*
%{_bindir}/kinit
%{_mandir}/man5/.k5identity.5*
%{_mandir}/man5/.k5login.5*
%{_mandir}/man1/kinit.1*
%{_bindir}/klist
%{_mandir}/man1/klist.1*
%{_bindir}/kpasswd
%{_mandir}/man1/kpasswd.1*
%{_bindir}/kvno
%{_mandir}/man1/kvno.1*
%{_bindir}/kadmin
%{_mandir}/man1/kadmin.1*
%{_bindir}/k5srvutil
%{_mandir}/man1/k5srvutil.1*
%{_bindir}/ktutil
%{_mandir}/man1/ktutil.1*
%{_mandir}/man5/k5identity.5.*
%{_mandir}/man5/k5login.5.*
%attr(4755,root,root) %{_bindir}/ksu
%{_mandir}/man1/ksu.1*
%config(noreplace) /etc/pam.d/ksu
# Problem-reporting tool
%{_datadir}/gnats
%{_sbindir}/krb5-send-pr
%{_mandir}/man1/krb5-send-pr.1*

%files server
%doc doc/admin*.ps.gz
%doc doc/install*.ps.gz
%doc doc/krb5-admin.html
%doc doc/krb5-install.html
%{_unitdir}/krb5kdc.service
%{_unitdir}/kadmin.service
%{_unitdir}/kprop.service
%config(noreplace) %{_sysconfdir}/sysconfig/krb5kdc
%config(noreplace) %{_sysconfdir}/sysconfig/kadmin
%config(noreplace) %{_sysconfdir}/portreserve/kerberos-iv
%config(noreplace) %{_sysconfdir}/portreserve/kerberos-adm
%config(noreplace) %{_sysconfdir}/portreserve/krb5_prop
%config(noreplace) %{_sysconfdir}/logrotate.d/krb5kdc
%config(noreplace) %{_sysconfdir}/logrotate.d/kadmind
%{_infodir}/krb5-admin.info*
%{_infodir}/krb5-install.info*
%dir /var/log/kerberos
%dir %{_sysconfdir}/kerberos/krb5kdc
%config(noreplace) %{_sysconfdir}/kerberos/krb5kdc/kdc.conf
%config(noreplace) %{_sysconfdir}/kerberos/krb5kdc/kadm5.acl
%{_mandir}/man5/kdc.conf.5*
%{_sbindir}/kadmin.local
%{_mandir}/man8/kadmin.local.8*
%{_sbindir}/kadmind
%{_mandir}/man8/kadmind.8*
%{_sbindir}/kdb5_util
%{_mandir}/man8/kdb5_util.8*
%{_sbindir}/kprop
%{_mandir}/man8/kprop.8*
%{_sbindir}/kpropd
%{_mandir}/man8/kpropd.8*
%{_sbindir}/kproplog
%{_mandir}/man8/kproplog.8*
%{_sbindir}/krb5kdc
%{_mandir}/man8/krb5kdc.8*
%{_sbindir}/sim_server
%{_bindir}/sclient
%{_mandir}/man1/sclient.1*
%{_sbindir}/sserver
%{_mandir}/man8/sserver.8*

%files -n %{libgssapi_krb5}
%{_libdir}/libgssapi_krb5.so.%{gssapi_major}*

%files -n %{libgssrpc}
%{_libdir}/libgssrpc.so.%{gssrpc_major}*

%files -n %{libk5crypto}
%{_libdir}/libk5crypto.so.%{major}*

%files -n %{libname}
%{_libdir}/libkrb5.so.%{major}*

%files -n %{libnamesupport}
%{_libdir}/libkrb5support.so.%{support_major}*

%files -n %{libkadm5clnt_mit}
%{_libdir}/libkadm5clnt_mit.so.%{mit_major}*

%files -n %{libkadm5srv_mit}
%{_libdir}/libkadm5srv_mit.so.%{mit_major}*

%files -n %{libkdb5}
%{_libdir}/libkdb5.so.%{kdb5_major}*

%if !%{bootstrap}
%files -n %{libkdb_ldap}
%{_libdir}/libkdb_ldap.so.%{ldap_major}*
%endif

%files -n %{develname}
%doc doc/api
%doc doc/implement
%doc doc/kadm5
%doc doc/kadmin
%doc doc/krb5-protocol
%doc doc/rpc
%{_includedir}/*.h
%{_includedir}/gssapi
%{_includedir}/gssrpc
%{_includedir}/kadm5
%{_includedir}/krb5
%dir %{multiarch_includedir}/gssapi
%{multiarch_includedir}/gssapi/gssapi.h
%dir %{multiarch_includedir}/gssrpc
%{multiarch_includedir}/gssrpc/types.h
%{multiarch_includedir}/krb5.h
%{_bindir}/krb5-config
%{multiarch_bindir}/krb5-config
%{_libdir}/libgssapi_krb5.so
%{_libdir}/libgssrpc.so
%{_libdir}/libk5crypto.so
%{_libdir}/libkadm5clnt.so
%{_libdir}/libkadm5clnt_mit.so
%{_libdir}/libkadm5srv.so
%{_libdir}/libkadm5srv_mit.so
%{_libdir}/libkdb5.so
%{_libdir}/libkrb5.so
%{_libdir}/libkrb5support.so
%if !%{bootstrap}
%{_libdir}/libkdb_ldap.so
%endif
%{_mandir}/man1/krb5-config.1*

# Protocol test clients
%{_bindir}/sim_client
%{_bindir}/gss-client
%{_bindir}/uuclient

# Protocol test servers
%{_sbindir}/gss-server
%{_sbindir}/uuserver

%files pkinit-openssl
%{_libdir}/krb5/plugins/preauth/pkinit.so

%files server-ldap
%doc src/plugins/kdb/ldap/libkdb_ldap/kerberos.ldif
%doc src/plugins/kdb/ldap/libkdb_ldap/kerberos.schema
%if !%{bootstrap}
%{_libdir}/krb5/plugins/kdb/kldap.so
%{_sbindir}/kdb5_ldap_util
%{_mandir}/man8/kdb5_ldap_util.8*
%endif



%changelog
* Wed Sep 12 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.10.2-4
+ Revision: 816862
- make selinux conditional, disabled by default

* Thu Aug 30 2012 Paulo Andrade <pcpa@mandriva.com.br> 1.10.2-3
+ Revision: 816115
- Correct package build and dependencies.

  + Andrey Bondrov <abondrov@mandriva.org>
    - Drop some legacy junk

  + Alexander Khrukin <akhrukin@mandriva.org>
    - BR: pkgconfig(libverto)
    - libverto packaged into %%{libverto}
    - BR: selinux-devel
    - version update 1.10.2
    - version update 1.10.2

* Sat Feb 18 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.9.2-3
+ Revision: 776510
- split out all libs into individual pkgs
  moved remaining plugin to main pkg
  moved req for main pkg to kadmin5clnt/svr_mit pkgs
  moved ldap bins from server to ldap pkg
  properly renamed libname 5_3
  dropped major from devel pkg name
  krb5 pkg now owns the plugin dirs
  employed major for all lib pkgs
  employed apply_patches
  removed unnecessary req to lib pkg
  cleaned up spec
  removed legacy obsoletes and provides

* Fri Dec 16 2011 Oden Eriksson <oeriksson@mandriva.com> 1.9.2-2
+ Revision: 741731
- phew
- more fekalities
- conform with the new anal rpm5
- hmm...
- another try at it...
- filter out -fPIE
- various cleanups
- sync with MDVSA-2011:184

* Fri Nov 04 2011 Oden Eriksson <oeriksson@mandriva.com> 1.9.2-1
+ Revision: 717569
- 1.9.2
- drop the 2011-006 security patch as it's fixed with 1.9.2
- sync with fedora; hello systemd, goodbye sysv, logrotation, etc.
- cleanups

* Sat Oct 22 2011 Oden Eriksson <oeriksson@mandriva.com> 1.9.1-2
+ Revision: 705692
- sync with MDVSA-2011:159

  + Matthew Dawkins <mattydaw@mandriva.org>
    - allow to break openldap <-> krb circular build require

* Thu May 12 2011 Oden Eriksson <oeriksson@mandriva.com> 1.9.1-1
+ Revision: 673743
- 1.9.1
- drop upstream added fixes for CVE-2010-4022, CVE-2011-0281,0282,0283,0284,0285

* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 1.9-5
+ Revision: 661674
- multiarch fixes

* Fri Apr 22 2011 Oden Eriksson <oeriksson@mandriva.com> 1.9-4
+ Revision: 656641
- sync with MDVSA-2011:077

* Fri Mar 18 2011 Oden Eriksson <oeriksson@mandriva.com> 1.9-3
+ Revision: 646373
- review and cleanup patches (why wasn't this done!?)
- sync with MDVSA-2011:025, MDVSA-2011:048

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 1.9-2
+ Revision: 640302
- rebuild to obsolete old packages

  + Matthew Dawkins <mattydaw@mandriva.org>
    - properly commented out the unused patches

* Sun Feb 06 2011 Zombie Ryushu <ryushu@mandriva.org> 1.9-1
+ Revision: 636360
- upgrade to 1.9

* Sat Feb 05 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.3-4
+ Revision: 636229
- move krb5.conf man page in the workstation package, to avoid conflict with heimdal package

* Wed Dec 01 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.3-3mdv2011.0
+ Revision: 604377
- sync with MDVSA-2010:246

* Wed Oct 13 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.3-2mdv2011.0
+ Revision: 585393
- P72: security fix for CVE-2010-1322

* Sat Aug 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.3-1mdv2011.0
+ Revision: 567296
- new version

* Sat Jul 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.2-1mdv2011.0
+ Revision: 554668
- new version

* Wed May 19 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.1-5mdv2010.1
+ Revision: 545370
- P73: security fix for CVE-2010-1321

* Thu May 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.1-4mdv2010.1
+ Revision: 542828
- clear the LDFLAGS in krb5-config

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - don't include libkdb_ldap.so in devel package (fix #59081)

* Wed Apr 28 2010 Antoine Ginies <aginies@mandriva.com> 1.8.1-2mdv2010.1
+ Revision: 540120
- bump release to be able to rebuild (ftp and telnet client are in the wrong version in repository)

* Tue Apr 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.1-1mdv2010.1
+ Revision: 539500
- new version
- sync with fedora spec, for easier maintainance
- drop lot of obsoletes stuff
- drop conditional krb4 support

* Tue Apr 13 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.3-15mdv2010.1
+ Revision: 534516
- P35: security fix for CVE-2010-0629 (redhat)

* Tue Apr 06 2010 Funda Wang <fwang@mandriva.org> 1.6.3-14mdv2010.1
+ Revision: 532108
- add fedora patch to build with openssl 1.0
- fix linkage when using configure2_5x
- rebuild for new openssl

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.3-13mdv2010.1
+ Revision: 511585
- rebuilt against openssl-0.9.8m

* Thu Jan 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.3-12mdv2010.1
+ Revision: 491077
- P34: security fix for CVE-2009-4212

* Wed Jan 13 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.3-11mdv2010.1
+ Revision: 491023
- revert to 1.6.3

  + Zombie Ryushu <ryushu@mandriva.org>
    - Upgrade to 1.7
    - Upgrade to 1.7

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.6.3-10mdv2010.0
+ Revision: 425499
- rebuild

* Sun Apr 19 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.3-9mdv2009.1
+ Revision: 368034
- Add patches fixing CVE-2009-0846 and CVE-2009-0847
- Replace CVE-2009-0845 patch by upstream patch also fixing
  CVE-2009-0844 (via Fedora)

* Mon Mar 30 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.3-8mdv2009.1
+ Revision: 362598
- fix format errors

  + Oden Eriksson <oeriksson@mandriva.com>
    - P30: security fix for CVE-2009-0845
    - rediff patches

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 1.6.3-7mdv2009.1
+ Revision: 311084
- rebuild for new tcl
- add tcl86.patch (fix build for tcl 8.6)

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 1.6.3-6mdv2009.0
+ Revision: 217188
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 26 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.6.3-6mdv2008.1
+ Revision: 190506
- fixed alternatives manpages extension

* Tue Mar 25 2008 Oden Eriksson <oeriksson@mandriva.com> 1.6.3-5mdv2008.1
+ Revision: 189926
- P25: security fix for CVE-2007-5901
- P26: security fix for CVE-2007-5971
- P27: security fix for CVE-2008-0062 and CVE-2008-0063
- P28: security fix for CVE-2008-0947

* Fri Feb 29 2008 Andreas Hasenack <andreas@mandriva.com> 1.6.3-4mdv2008.1
+ Revision: 176811
- removed last instance of MANDRAKESOFT name
- include apparmor profile for /usr/bin/telnet

* Mon Jan 07 2008 Andreas Hasenack <andreas@mandriva.com> 1.6.3-3mdv2008.1
+ Revision: 146343
- unrestrict the libkrb53 requires on krb5 as per pixel's email

  + Funda Wang <fwang@mandriva.org>
    - fix man page extension

* Fri Dec 21 2007 Oden Eriksson <oeriksson@mandriva.com> 1.6.3-2mdv2008.1
+ Revision: 136088
- fix krb5-devel <-> openldap-devel cross linkage (take one)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 23 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.3-1mdv2008.1
+ Revision: 101520
- updated to version 1.6.3
- removed 2007-006 security patch, already applied

* Sun Sep 30 2007 Anssi Hannula <anssi@mandriva.org> 1.6.2-7mdv2008.0
+ Revision: 94040
- add a conflict on old 32bit libkrb53 into 64bit krb5 to ensure smooth
  upgrade on biarch systems

* Wed Sep 26 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.2-6mdv2008.0
+ Revision: 93160
- remove historical options from krb5.conf, relying more on defaults

* Wed Sep 19 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.2-5mdv2008.0
+ Revision: 90816
- make library package only provide the libs themselves and
  not any other file (#32580)

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.2-4mdv2008.0
+ Revision: 89826
- rebuild

* Tue Sep 11 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.2-3mdv2008.0
+ Revision: 84549
- security patch for CVE-2007-3999 and CVE-2007-4000 (#33193)

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 1.6.2-2mdv2008.0
+ Revision: 70294
- kill file require on info-install

* Wed Jul 11 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.2-1mdv2008.0
+ Revision: 51241
- updated to 1.6.2
- dropped patches that were already applied

* Tue Jun 26 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.1-5mdv2008.0
+ Revision: 44629
- added security patches from advisories MITKRB5-SA-2007-004 and
  MITKRB5-SA-2007-005 (CVE-2007-2442, CVE-2007-2443 and CVE-2007-2798)
- rebuild with new serverbuild macro, enabling -fstack-protector-all

* Fri Jun 22 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.1-4mdv2008.0
+ Revision: 43231
- using serverbuild macro

  + Herton Ronaldo Krzesinski <herton@mandriva.com.br>
    - Added patch ftp_remove_printf_debug, to remove uneeded debug
      information of ftp client from ftp-client-krb5 package.
      Closes: #30467.

* Mon Apr 23 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.1-2mdv2008.0
+ Revision: 17357
- oops, accidentally removed a previous change by Guillaume, fixed

* Mon Apr 23 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.1-1mdv2008.0
+ Revision: 17353
- updated to version 1.6.1, dropping security patches which were already applied

* Sat Apr 21 2007 Andreas Hasenack <andreas@mandriva.com> 1.6-3mdv2008.0
+ Revision: 16432
- updated to version 1.6
- enabled LDAP backend
- added security patches for CVE-2007-0956, CVE-2007-0957
  and CVE-2007-1216
- fix segfault on password change
- make main initscripts cope with database in ldap
- added sample krb5.conf file for ldap usage
- setting sysconfdir in configure to avoid a lookup
  in /usr/etc instead of /etc at runtime
- major cleanup in spec file (basically, trusting upstream a bit more)
- return proper exit codes in the initscripts
- don't provide old names anymore
- disabled ftp and telnet servers (via xinetd) by default
- html doc
- rename html supplied doc
- use example.com domain and realm in the html supplied doc

* Fri Apr 20 2007 Andreas Hasenack <andreas@mandriva.com> 1.5.2-7mdv2008.0
+ Revision: 16419
- use a better default realm for the acl file
- fix plugin path (#30349)
- making defaults more secure for ftp and telnetd server (vdanen)

